Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class ClosureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.ClosureException

    public class ClosureException
    extends RuntimeException

An exception thrown by a closure invocation

Authors:
  James Strachan

Version:
  \$Revision: 6817 \$

Constructor Summary
`ClosureException(Closure closure, Throwable cause)`

Method Summary
`Closure` | `getClosure()`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClosureException

    public ClosureException(Closure closure, Throwable cause)

Method Detail

### getClosure

    public Closure getClosure()

Copyright © 2003-2010 The Codehaus. All rights reserved.